Tweets
Een bericht ophalen
GET /v1/tweets/{tweet_id} reads 1 credits
Eén bericht en de reacties erop. Het id is het getal na /status/ in de link van het bericht: 2107511965006622972 in https://x.com/cz_binance/status/2107511965006622972. Een repost bevat het origineel in rt_of en een citaat het geciteerde bericht in quoted, elk met de volledige tekst en media; wilt u ook hun volledige details (zoals de tellers), vraag ze dan op met hun id.
Queryparameters
| Queryparameter | Type | Betekenis |
|---|---|---|
replies_limit | int 0–100 = 20 | Hoeveel reacties mee te nemen |
antwoord
Het bericht en maximaal replies_limit reacties erop. Een niet-numeriek id is 422. Veld voor veld: Tweet (lezen).
Status: 200, 404, 422, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642?replies_limit=2 \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 404
{
"tweet": {
"id": 2099875660290228642,
"created_ms": 1789484345873,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "Live demo of building a company with @Grok @Bot!",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2099875660290228642",
"is_rt": false,
"rt_of": null,
"is_quote": true,
"quoted": {
"id": "2099871914655424894",
"user": "poteto",
"name": "lauren",
"user_id": "2832427459",
"text": "going live in about an hour!\n\n…",
"media": [],
"media_items": [],
"created_ms": 1789483452844,
"url": "https://x.com/poteto/status/2099871914655424894"
},
"media": [],
"media_items": [],
"urls": [],
"views": "28720489",
"counts": {
"reply": 2323,
"rt": 2244,
"like": 22995,
"quote": 177,
"bookmark": 3136
},
"article": null,
"edit_of": null,
"edit_ids": [
2099875660290228642
],
"source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
},
"replies": [
{
"id": 2099876100000000000,
"user": "someone",
"text": "…",
"reply_to": "elonmusk",
"reply_to_status_id": "2099875660290228642",
"…": "…"
}
]
}